> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1expensesforwardingusers



## OpenAPI

````yaml /api-reference/openapi.json post /v1/expenses/forwarding/users
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/expenses/forwarding/users:
    post:
      tags:
        - ExpenseForwarding
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingExpenseForwardingConfigRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingExpenseForwardingConfigRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/ExpenseForwardingExpenseForwardingConfigRequest
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ExpenseForwardingSBExpenseForwardingConfigResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    ExpenseForwardingExpenseForwardingConfigRequest:
      type: object
      properties:
        userId:
          type: integer
          format: int64
        forwardingEmail:
          type: string
          nullable: true
        personalizedSlug:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        origin:
          type: string
          nullable: true
      additionalProperties: false
    ExpenseForwardingSBExpenseForwardingConfigResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        forwardingEmail:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        origin:
          type: string
          nullable: true
        personalizedSlug:
          type: string
          nullable: true
        emailAddress:
          type: string
          nullable: true
        departmentId:
          type: integer
          format: int64
          nullable: true
        employeeId:
          type: integer
          format: int64
          nullable: true
        isActive:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}

````